List dunning flows
import requests
url = "https://api.paywise.de/mahnservice/v1/dunning-flows/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/mahnservice/v1/dunning-flows/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/mahnservice/v1/dunning-flows/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/mahnservice/v1/dunning-flows/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/mahnservice/v1/dunning-flows/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"results": [
{
"fees_enabled": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_activated": true,
"is_active": true,
"is_default": true,
"level_count": 123,
"levels": [
{
"channel": "email",
"days_after_previous": 123,
"fee_amount": "<string>",
"fee_enabled": true,
"level": 123
}
],
"name": "<string>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Dunning flows
List dunning flows
Includes historical versions referenced by existing invoices. The current is_default configuration sorts first. is_active is a kill switch, not a latest-version indicator.
GET
/
mahnservice
/
v1
/
dunning-flows
/
List dunning flows
import requests
url = "https://api.paywise.de/mahnservice/v1/dunning-flows/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/mahnservice/v1/dunning-flows/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/mahnservice/v1/dunning-flows/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/mahnservice/v1/dunning-flows/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/mahnservice/v1/dunning-flows/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"results": [
{
"fees_enabled": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_activated": true,
"is_active": true,
"is_default": true,
"level_count": 123,
"levels": [
{
"channel": "email",
"days_after_previous": 123,
"fee_amount": "<string>",
"fee_enabled": true,
"level": 123
}
],
"name": "<string>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of results to return per page; defaults to 10.
Required range:
1 <= x <= 100Zero-based index of the first result; defaults to 0.
Required range:
x >= 0Response
Total number of matching resources.
Example:
123
Resources returned for the requested page.
Show child attributes
Show child attributes
URL for the next page, or null on the last page.
Example:
"http://api.example.org/accounts/?offset=400&limit=100"
URL for the previous page, or null on the first page.
Example:
"http://api.example.org/accounts/?offset=200&limit=100"
